Documentation menu
Account sets
Group connected accounts so a post can target them in one shot.
GET /account-sets
Requires Authorization: Bearer <token>.
Query parameters
| Field | Type | Notes |
|---|---|---|
per_page | integernullable | 1–100 |
Example request
curl 'https://app.shoutrrr.com/api/v1/account-sets' \
-H 'Authorization: Bearer <token>' const res = await fetch('https://app.shoutrrr.com/api/v1/account-sets', {
method: 'GET',
headers: {
'Authorization': 'Bearer <token>',
},
});
const data = await res.json(); import requests
res = requests.get(
'https://app.shoutrrr.com/api/v1/account-sets',
headers={'Authorization': 'Bearer <token>'},
)
data = res.json() <?php
$ch = curl_init('https://app.shoutrrr.com/api/v1/account-sets');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer <token>',
],
]);
$data = json_decode(curl_exec($ch), true); Responses
200
| Field | Type | Notes |
|---|---|---|
datarequired | object | — |
paginationrequired | object | — |
per_pagerequired | integer | — |
next_cursorrequired | stringnullable | — |
prev_cursorrequired | stringnullable | — |
has_morerequired | boolean | — |
401 Unauthenticated
| Field | Type | Notes |
|---|---|---|
messagerequiredError overview. | string | — |
422 Validation error
| Field | Type | Notes |
|---|---|---|
messagerequiredErrors overview. | string | — |
errorsrequiredA detailed description of each field that failed validation. | object | — |
POST /account-sets
Requires Authorization: Bearer <token>.
Request body
| Field | Type | Notes |
|---|---|---|
namerequired | string | max 255 |
connected_account_ids | string[] | — |
Example request
curl -X POST 'https://app.shoutrrr.com/api/v1/account-sets' \
-H 'Authorization: Bearer <token>' \
-H 'Content-Type: application/json' \
-d '{
"name": "string"
}' const res = await fetch('https://app.shoutrrr.com/api/v1/account-sets', {
method: 'POST',
headers: {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"name": "string"
}),
});
const data = await res.json(); import requests
res = requests.post(
'https://app.shoutrrr.com/api/v1/account-sets',
headers={'Authorization': 'Bearer <token>'},
json={
'name': 'string'
},
)
data = res.json() <?php
$ch = curl_init('https://app.shoutrrr.com/api/v1/account-sets');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_POSTFIELDS => '{
"name": "string"
}',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer <token>',
'Content-Type: application/json',
],
]);
$data = json_decode(curl_exec($ch), true); Responses
201
| Field | Type | Notes |
|---|---|---|
idrequired | string | — |
namerequired | string | — |
connected_account_idsrequired | any[] | — |
401 Unauthenticated
| Field | Type | Notes |
|---|---|---|
messagerequiredError overview. | string | — |
403 Authorization error
| Field | Type | Notes |
|---|---|---|
messagerequiredError overview. | string | — |
422 Validation error
| Field | Type | Notes |
|---|---|---|
messagerequiredErrors overview. | string | — |
errorsrequiredA detailed description of each field that failed validation. | object | — |
PATCH /account-sets/{set}
Requires Authorization: Bearer <token>.
Path parameters
| Field | Type | Notes |
|---|---|---|
setrequired | string | — |
Request body
| Field | Type | Notes |
|---|---|---|
namerequired | string | max 255 |
connected_account_ids | string[] | — |
Example request
curl -X PATCH 'https://app.shoutrrr.com/api/v1/account-sets/{set}' \
-H 'Authorization: Bearer <token>' \
-H 'Content-Type: application/json' \
-d '{
"name": "string"
}' const res = await fetch('https://app.shoutrrr.com/api/v1/account-sets/{set}', {
method: 'PATCH',
headers: {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"name": "string"
}),
});
const data = await res.json(); import requests
res = requests.patch(
'https://app.shoutrrr.com/api/v1/account-sets/{set}',
headers={'Authorization': 'Bearer <token>'},
json={
'name': 'string'
},
)
data = res.json() <?php
$ch = curl_init('https://app.shoutrrr.com/api/v1/account-sets/{set}');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'PATCH',
CURLOPT_POSTFIELDS => '{
"name": "string"
}',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer <token>',
'Content-Type: application/json',
],
]);
$data = json_decode(curl_exec($ch), true); Responses
200
| Field | Type | Notes |
|---|---|---|
idrequired | string | — |
namerequired | string | — |
connected_account_idsrequired | any[] | — |
401 Unauthenticated
| Field | Type | Notes |
|---|---|---|
messagerequiredError overview. | string | — |
422 Validation error
| Field | Type | Notes |
|---|---|---|
messagerequiredErrors overview. | string | — |
errorsrequiredA detailed description of each field that failed validation. | object | — |
DELETE /account-sets/{set}
Requires Authorization: Bearer <token>.
Path parameters
| Field | Type | Notes |
|---|---|---|
setrequired | string | — |
Example request
curl -X DELETE 'https://app.shoutrrr.com/api/v1/account-sets/{set}' \
-H 'Authorization: Bearer <token>' const res = await fetch('https://app.shoutrrr.com/api/v1/account-sets/{set}', {
method: 'DELETE',
headers: {
'Authorization': 'Bearer <token>',
},
});
const data = await res.json(); import requests
res = requests.delete(
'https://app.shoutrrr.com/api/v1/account-sets/{set}',
headers={'Authorization': 'Bearer <token>'},
)
data = res.json() <?php
$ch = curl_init('https://app.shoutrrr.com/api/v1/account-sets/{set}');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'DELETE',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer <token>',
],
]);
$data = json_decode(curl_exec($ch), true); Responses
200
| Field | Type | Notes |
|---|---|---|
deletedrequired | boolean | — |
idrequired | string | — |
401 Unauthenticated
| Field | Type | Notes |
|---|---|---|
messagerequiredError overview. | string | — |